org.apache.felix.metatype

## Class Designate

- java.lang.Object
- - org.apache.felix.metatype.OptionalAttributes
  - - org.apache.felix.metatype.Designate

    public class Designate
    extends OptionalAttributes

The `Designate` class represents the `Designate` element of the meta type descriptor.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`Designate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBundleLocation()`
`String` `getFactoryPid()`
`DesignateObject` `getObject()`
`String` `getPid()`
`boolean` `isMerge()`
`boolean` `isOptional()`
`void` `setBundleLocation(String bundleLocation)`
`void` `setFactoryPid(String factoryPid)`
`void` `setMerge(boolean merge)`
`void` `setObject(DesignateObject object)`
`void` `setOptional(boolean optional)`
`void` `setPid(String pid)`

### Methods inherited from class org.apache.felix.metatype.OptionalAttributes

`addOptionalAttribute, getOptionalAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Designate

    public Designate()

### Method Detail

#### getBundleLocation

    public String getBundleLocation()

Returns:
  the bundleLocation

#### getFactoryPid

    public String getFactoryPid()

Returns:
  the factoryPid

#### isMerge

    public boolean isMerge()

Returns:
  the merge

#### isOptional

    public boolean isOptional()

Returns:
  the optional

#### getPid

    public String getPid()

Returns:
  the pid

#### getObject

    public DesignateObject getObject()

Returns:
  the object

#### setBundleLocation

    public void setBundleLocation(String bundleLocation)

Parameters:
  `bundleLocation` - the bundleLocation to set

#### setFactoryPid

    public void setFactoryPid(String factoryPid)

Parameters:
  `factoryPid` - the factoryPid to set

#### setMerge

    public void setMerge(boolean merge)

Parameters:
  `merge` - the merge to set

#### setOptional

    public void setOptional(boolean optional)

Parameters:
  `optional` - the optional to set

#### setPid

    public void setPid(String pid)

Parameters:
  `pid` - the pid to set

#### setObject

    public void setObject(DesignateObject object)

Parameters:
  `object` - the object to set